Memcache::decrement
Memcache::flush
Memcache
PHP Manual

# Memcache::delete

(PECL memcache >= 0.2.0)

Memcache::delete — Delete item from the server

### Description

bool Memcache::delete ( string `$key` [, int `$timeout` = 0 ] )

Memcache::delete() deletes an item with the `key`.

### Parameters

`key`

  The key associated with the item to delete.

`timeout`

  This deprecated parameter is not supported, and defaults to 0 seconds. Do not use this parameter.

### Changelog

Version | Description
--- | ---
Unknown | It's not recommended to use the `timeout` parameter. The behavior differs between memcached versions, but setting to 0 is safe. Other values for this deprecated feature may cause the memcache delete to fail.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Memcache::delete() example

`<?php
/* procedural API */
$memcache_obj = memcache_connect('memcache_host', 11211);
/* item will be deleted by the server */
memcache_delete($memcache_obj, 'key_to_delete');
/* OO API */
$memcache_obj = new Memcache;
$memcache_obj->connect('memcache_host', 11211);
$memcache_obj->delete('key_to_delete');
?>`

### See Also

- Memcache::set() - Store data at the server
- Memcache::replace() - Replace value of the existing item

Memcache::decrement
Memcache::flush
Memcache
PHP Manual